#!/bin/bash
#
#   Hitachi Fibre Channel Adapter Driver Installer for Linux IA32/IA64
#
if [ "$1" != "install" -a "$1" != "uninstall" ]; then
        echo "Usage : hfcvmwareinst.sh install/uninstall" 
        echo "example(install  ) : hfcvmwareinst.sh install"
        echo "       (uninstall) : hfcvmwareinst.sh uninstall"
        exit 1
fi
HFCMKNOD="hfcmknod"
TOOLSDIR="/opt/hitachi/drivers/hba"
INSTLOG="/tmp/hfcldd_install.log"
if [ "$1" = "install" ]; then
	echo " -- Install tools and scripts to /opt/hitachi/drivers/hba"   >> $INSTLOG
	if [ -f /etc/init.d/hfcinstpd ]; then
		/etc/init.d/hfcinstpd stop >> $INSTLOG
	fi
	install -d -o root -g root $TOOLSDIR     
	install -o root -g root tools/* $TOOLSDIR
	echo " -- Install hfcmknod"   >> $INSTLOG
	install -o root -g root $HFCMKNOD /etc/init.d/
	/sbin/chkconfig --add hfcmknod
	cp hfcvmwareinst.sh /opt/hitachi/drivers/hba 
	echo " ---- Install Success "   >> $INSTLOG
else
	echo " -- Uninstall hfcmknod"
	/sbin/chkconfig --del hfcmknod
	rm -f /etc/init.d/$HFCMKNOD
	echo " -- Uninstall tools and scripts from /opt/hitachi/drivers/hba"
	rm -f $TOOLSDIR/*
	echo " ---- Uninstall Success "  >> $INSTLOG
fi
